Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read2.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 4270)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read2.F90	(revision 4271)
@@ -179,9 +179,9 @@
         print*,'Allocations OK'
         call read_cas2(nid,nlev_cas,nt_cas                                       &
-     &     ,z_cas,plev_cas,t_cas,q_cas,rh_cas,th_cas,rv_cas,u_cas,v_cas         &
-     &     ,ug_cas,vg_cas,vitw_cas,du_cas,hu_cas,vu_cas,dv_cas,hv_cas,vv_cas    &
-     &     ,dt_cas,dtrad_cas,ht_cas,vt_cas,dq_cas,hq_cas,vq_cas                 &
-     &     ,dth_cas,hth_cas,vth_cas,dr_cas,hr_cas,vr_cas,sens_cas,lat_cas,ts_cas&
-     &     ,ustar_cas,uw_cas,vw_cas,q1_cas,q2_cas)
+           ,z_cas,plev_cas,t_cas,q_cas,rh_cas,th_cas,rv_cas,u_cas,v_cas         &
+           ,ug_cas,vg_cas,vitw_cas,du_cas,hu_cas,vu_cas,dv_cas,hv_cas,vv_cas    &
+           ,dt_cas,dtrad_cas,ht_cas,vt_cas,dq_cas,hq_cas,vq_cas                 &
+           ,dth_cas,hth_cas,vth_cas,dr_cas,hr_cas,vr_cas,sens_cas,lat_cas,ts_cas&
+           ,ustar_cas,uw_cas,vw_cas,q1_cas,q2_cas)
         print*,'Read cas OK'
 
@@ -301,10 +301,10 @@
         print*,'Allocations OK'
         call read2_cas (nid,nlev_cas,nt_cas,                                                                     &
-     &     ap_cas,bp_cas,z_cas,plev_cas,zh_cas,plevh_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,                    &
-     &     ql_cas,qi_cas,rh_cas,rv_cas,u_cas,v_cas,vitw_cas,omega_cas,ug_cas,vg_cas,du_cas,hu_cas,vu_cas,        &
-     &     dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,               &
-     &     dr_cas,hr_cas,vr_cas,dtrad_cas,sens_cas,lat_cas,ts_cas,ps_cas,ustar_cas,tke_cas,                      &
-     &     uw_cas,vw_cas,q1_cas,q2_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough, &
-     &     o3_cas,rugos_cas,clay_cas,sand_cas)
+           ap_cas,bp_cas,z_cas,plev_cas,zh_cas,plevh_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,                    &
+           ql_cas,qi_cas,rh_cas,rv_cas,u_cas,v_cas,vitw_cas,omega_cas,ug_cas,vg_cas,du_cas,hu_cas,vu_cas,        &
+           dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,               &
+           dr_cas,hr_cas,vr_cas,dtrad_cas,sens_cas,lat_cas,ts_cas,ps_cas,ustar_cas,tke_cas,                      &
+           uw_cas,vw_cas,q1_cas,q2_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough, &
+           o3_cas,rugos_cas,clay_cas,sand_cas)
         print*,'Read2 cas OK'
         do ii=1,nlev_cas
@@ -457,10 +457,10 @@
         print*,'Allocations OK'
         call old_read_SCM (nid,nlev_cas,nt_cas,                                                                     &
-     &     ap_cas,bp_cas,z_cas,plev_cas,zh_cas,plevh_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,                    &
-     &     ql_cas,qi_cas,rh_cas,rv_cas,u_cas,v_cas,vitw_cas,omega_cas,ug_cas,vg_cas,du_cas,hu_cas,vu_cas,        &
-     &     dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,               &
-     &     dr_cas,hr_cas,vr_cas,dtrad_cas,sens_cas,lat_cas,ts_cas,ps_cas,ustar_cas,tke_cas,                      &
-     &     uw_cas,vw_cas,q1_cas,q2_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough, &
-     &     o3_cas,rugos_cas,clay_cas,sand_cas)
+           ap_cas,bp_cas,z_cas,plev_cas,zh_cas,plevh_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,                    &
+           ql_cas,qi_cas,rh_cas,rv_cas,u_cas,v_cas,vitw_cas,omega_cas,ug_cas,vg_cas,du_cas,hu_cas,vu_cas,        &
+           dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,               &
+           dr_cas,hr_cas,vr_cas,dtrad_cas,sens_cas,lat_cas,ts_cas,ps_cas,ustar_cas,tke_cas,                      &
+           uw_cas,vw_cas,q1_cas,q2_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough, &
+           o3_cas,rugos_cas,clay_cas,sand_cas)
         print*,'Read2 cas OK'
         do ii=1,nlev_cas
@@ -539,7 +539,7 @@
 !=====================================================================
       subroutine read_cas2(nid,nlevel,ntime                          &
-     &     ,zz,pp,temp,qv,rh,theta,rv,u,v,ug,vg,w,                   &
-     &     du,hu,vu,dv,hv,vv,dt,dtrad,ht,vt,dq,hq,vq,                     &
-     &     dth,hth,vth,dr,hr,vr,sens,flat,ts,ustar,uw,vw,q1,q2)
+           ,zz,pp,temp,qv,rh,theta,rv,u,v,ug,vg,w,                   &
+           du,hu,vu,dv,hv,vv,dt,dtrad,ht,vt,dq,hq,vq,                     &
+           dth,hth,vth,dr,hr,vr,sens,flat,ts,ustar,uw,vw,q1,q2)
 
 !program reading forcing of the case study
@@ -575,6 +575,6 @@
       character*5 name_var(1:nbvar3d)
       data name_var/'zz','pp','temp','qv','rh','theta','rv','u','v','ug','vg','w','advu','hu','vu',&
-     &'advv','hv','vv','advT','hT','vT','advq','hq','vq','advth','hth','vth','advr','hr','vr',&
-     &'radT','uw','vw','q1','q2','sens','flat','ts','ustar'/
+      'advv','hv','vv','advT','hT','vT','advq','hq','vq','advth','hth','vth','advr','hr','vr',&
+      'radT','uw','vw','q1','q2','sens','flat','ts','ustar'/
 
        do i=1,nbvar3d
@@ -660,9 +660,9 @@
 !======================================================================
       subroutine read2_cas(nid,nlevel,ntime,                                       &
-     &     ap,bp,zz,pp,zzh,pph,temp,theta,thv,thl,qv,ql,qi,rh,rv,u,v,vitw,omega,ug,vg,&
-     &     du,hu,vu,dv,hv,vv,dt,ht,vt,dq,hq,vq,                                    &
-     &     dth,hth,vth,dr,hr,vr,dtrad,sens,flat,ts,ps,ustar,tke,uw,vw,q1,q2,       &
-     &     orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,          &
-     &     heat_rough,o3_cas,rugos_cas,clay_cas,sand_cas)
+           ap,bp,zz,pp,zzh,pph,temp,theta,thv,thl,qv,ql,qi,rh,rv,u,v,vitw,omega,ug,vg,&
+           du,hu,vu,dv,hv,vv,dt,ht,vt,dq,hq,vq,                                    &
+           dth,hth,vth,dr,hr,vr,dtrad,sens,flat,ts,ps,ustar,tke,uw,vw,q1,q2,       &
+           orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,          &
+           heat_rough,o3_cas,rugos_cas,clay_cas,sand_cas)
 
 !program reading forcing of the case study
@@ -700,10 +700,10 @@
       character*12 name_var(1:nbvar3d)
       data name_var/'coor_par_a','coor_par_b','height_h','pressure_h',&
-     &'w','omega','ug','vg','uadv','uadvh','uadvv','vadv','vadvh','vadvv','tadv','tadvh','tadvv',&
-     &'qadv','qadvh','qadvv','thadv','thadvh','thadvv','thladvh','radv','radvh','radvv','radcool','q1','q2','ustress','vstress', &
+      'w','omega','ug','vg','uadv','uadvh','uadvv','vadv','vadvh','vadvv','tadv','tadvh','tadvv',&
+      'qadv','qadvh','qadvv','thadv','thadvh','thadvv','thladvh','radv','radvh','radvv','radcool','q1','q2','ustress','vstress', &
      'rh',&
-     &'height_f','pressure_f','temp','theta','thv','thl','qv','ql','qi','rv','u','v',&
-     &'sfc_sens_flx','sfc_lat_flx','ts','ps','ustar','tke',&
-     &'orog','albedo','emiss','t_skin','q_skin','mom_rough','heat_rough','o3','rugos','clay','sand'/
+      'height_f','pressure_f','temp','theta','thv','thl','qv','ql','qi','rv','u','v',&
+      'sfc_sens_flx','sfc_lat_flx','ts','ps','ustar','tke',&
+      'orog','albedo','emiss','t_skin','q_skin','mom_rough','heat_rough','o3','rugos','clay','sand'/
       do i=1,nbvar3d
         missing_var(i)=0.
@@ -846,9 +846,9 @@
 !======================================================================
       subroutine old_read_SCM(nid,nlevel,ntime,                                       &
-     &     ap,bp,zz,pp,zzh,pph,temp,theta,thv,thl,qv,ql,qi,rh,rv,u,v,vitw,omega,ug,vg,&
-     &     du,hu,vu,dv,hv,vv,dt,ht,vt,dq,hq,vq,                                    &
-     &     dth,hth,vth,dr,hr,vr,dtrad,sens,flat,ts,ps,ustar,tke,uw,vw,q1,q2,       &
-     &     orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,          &
-     &     heat_rough,o3_cas,rugos_cas,clay_cas,sand_cas)
+           ap,bp,zz,pp,zzh,pph,temp,theta,thv,thl,qv,ql,qi,rh,rv,u,v,vitw,omega,ug,vg,&
+           du,hu,vu,dv,hv,vv,dt,ht,vt,dq,hq,vq,                                    &
+           dth,hth,vth,dr,hr,vr,dtrad,sens,flat,ts,ps,ustar,tke,uw,vw,q1,q2,       &
+           orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,          &
+           heat_rough,o3_cas,rugos_cas,clay_cas,sand_cas)
 
 !program reading forcing of the case study
@@ -889,11 +889,11 @@
       character*13 name_var(1:nbvar3d)
       data name_var/'coor_par_a','coor_par_b','height_h','pressure_h',&
-     &'temp','qv','ql','qi','u','v','tke','pressure',&
-     &'w','omega','ug','vg','uadv','uadvh','uadvv','vadv','vadvh','vadvv','tadv','tadvh','tadvv',&
-     &'qvadv','qvadvh','qvadvv','thadv','thadvh','thadvv','thladvh','radv','radvh','radvv','radcool','q1','q2','ustress','vstress', &
+      'temp','qv','ql','qi','u','v','tke','pressure',&
+      'w','omega','ug','vg','uadv','uadvh','uadvv','vadv','vadvh','vadvv','tadv','tadvh','tadvv',&
+      'qvadv','qvadvh','qvadvv','thadv','thadvh','thadvv','thladvh','radv','radvh','radvv','radcool','q1','q2','ustress','vstress', &
      'rh',&
-     &'height_f','pressure_forc','tempt','theta','thv','thl','qvt','qlt','qit','rv','ut','vt','tket',&
-     &'sfc_sens_flx','sfc_lat_flx','ts','ps','ustar',&
-     &'orog','albedo','emiss','t_skin','q_skin','mom_rough','heat_rough','o3','rugos','clay','sand'/
+      'height_f','pressure_forc','tempt','theta','thv','thl','qvt','qlt','qit','rv','ut','vt','tket',&
+      'sfc_sens_flx','sfc_lat_flx','ts','ps','ustar',&
+      'orog','albedo','emiss','t_skin','q_skin','mom_rough','heat_rough','o3','rugos','clay','sand'/
       do i=1,nbvar3d
         missing_var(i)=0.
@@ -1078,17 +1078,17 @@
         SUBROUTINE interp_case_time2(day,day1,annee_ref                &
 !    &         ,year_cas,day_cas,nt_cas,pdt_forc,nlev_cas      &
-     &         ,nt_cas,nlev_cas                                       &
-     &         ,ts_cas,ps_cas,plev_cas,t_cas,q_cas,u_cas,v_cas               &
-     &         ,ug_cas,vg_cas,vitw_cas,du_cas,hu_cas,vu_cas           &
-     &         ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas   &
-     &         ,dq_cas,hq_cas,vq_cas,lat_cas,sens_cas,ustar_cas       &
-     &         ,uw_cas,vw_cas,q1_cas,q2_cas                           &
-     &         ,ts_prof_cas,plev_prof_cas,t_prof_cas,q_prof_cas       &
-     &         ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas         &
-     &         ,vitw_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas     &
-     &         ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas       &
-     &         ,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas    &
-     &         ,hq_prof_cas,vq_prof_cas,lat_prof_cas,sens_prof_cas    &
-     &         ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas)
+               ,nt_cas,nlev_cas                                       &
+               ,ts_cas,ps_cas,plev_cas,t_cas,q_cas,u_cas,v_cas               &
+               ,ug_cas,vg_cas,vitw_cas,du_cas,hu_cas,vu_cas           &
+               ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas   &
+               ,dq_cas,hq_cas,vq_cas,lat_cas,sens_cas,ustar_cas       &
+               ,uw_cas,vw_cas,q1_cas,q2_cas                           &
+               ,ts_prof_cas,plev_prof_cas,t_prof_cas,q_prof_cas       &
+               ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas         &
+               ,vitw_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas     &
+               ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas       &
+               ,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas    &
+               ,hq_prof_cas,vq_prof_cas,lat_prof_cas,sens_prof_cas    &
+               ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas)
           
 
@@ -1202,5 +1202,5 @@
        if (it_cas1 .gt. nt_cas) then
         write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
-     &        ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
+              ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
         stop
        endif
@@ -1215,63 +1215,63 @@
 
        lat_prof_cas = lat_cas(it_cas2)                                       &
-     &          -frac*(lat_cas(it_cas2)-lat_cas(it_cas1)) 
+                -frac*(lat_cas(it_cas2)-lat_cas(it_cas1)) 
        sens_prof_cas = sens_cas(it_cas2)                                     &
-     &          -frac*(sens_cas(it_cas2)-sens_cas(it_cas1))
+                -frac*(sens_cas(it_cas2)-sens_cas(it_cas1))
        ts_prof_cas = ts_cas(it_cas2)                                         &
-     &          -frac*(ts_cas(it_cas2)-ts_cas(it_cas1))
+                -frac*(ts_cas(it_cas2)-ts_cas(it_cas1))
        ustar_prof_cas = ustar_cas(it_cas2)                                   &
-     &          -frac*(ustar_cas(it_cas2)-ustar_cas(it_cas1))
+                -frac*(ustar_cas(it_cas2)-ustar_cas(it_cas1))
 
        do k=1,nlev_cas
         plev_prof_cas(k) = plev_cas(k,it_cas2)                               &
-     &          -frac*(plev_cas(k,it_cas2)-plev_cas(k,it_cas1))
+                -frac*(plev_cas(k,it_cas2)-plev_cas(k,it_cas1))
         t_prof_cas(k) = t_cas(k,it_cas2)                               &
-     &          -frac*(t_cas(k,it_cas2)-t_cas(k,it_cas1))
+                -frac*(t_cas(k,it_cas2)-t_cas(k,it_cas1))
         q_prof_cas(k) = q_cas(k,it_cas2)                               &
-     &          -frac*(q_cas(k,it_cas2)-q_cas(k,it_cas1))
+                -frac*(q_cas(k,it_cas2)-q_cas(k,it_cas1))
         u_prof_cas(k) = u_cas(k,it_cas2)                               &
-     &          -frac*(u_cas(k,it_cas2)-u_cas(k,it_cas1))
+                -frac*(u_cas(k,it_cas2)-u_cas(k,it_cas1))
         v_prof_cas(k) = v_cas(k,it_cas2)                               &
-     &          -frac*(v_cas(k,it_cas2)-v_cas(k,it_cas1))
+                -frac*(v_cas(k,it_cas2)-v_cas(k,it_cas1))
         ug_prof_cas(k) = ug_cas(k,it_cas2)                               &
-     &          -frac*(ug_cas(k,it_cas2)-ug_cas(k,it_cas1))
+                -frac*(ug_cas(k,it_cas2)-ug_cas(k,it_cas1))
         vg_prof_cas(k) = vg_cas(k,it_cas2)                               &
-     &          -frac*(vg_cas(k,it_cas2)-vg_cas(k,it_cas1))
+                -frac*(vg_cas(k,it_cas2)-vg_cas(k,it_cas1))
         vitw_prof_cas(k) = vitw_cas(k,it_cas2)                               &
-     &          -frac*(vitw_cas(k,it_cas2)-vitw_cas(k,it_cas1))
+                -frac*(vitw_cas(k,it_cas2)-vitw_cas(k,it_cas1))
         du_prof_cas(k) = du_cas(k,it_cas2)                                   &
-     &          -frac*(du_cas(k,it_cas2)-du_cas(k,it_cas1))
+                -frac*(du_cas(k,it_cas2)-du_cas(k,it_cas1))
         hu_prof_cas(k) = hu_cas(k,it_cas2)                                   &
-     &          -frac*(hu_cas(k,it_cas2)-hu_cas(k,it_cas1))
+                -frac*(hu_cas(k,it_cas2)-hu_cas(k,it_cas1))
         vu_prof_cas(k) = vu_cas(k,it_cas2)                                   &
-     &          -frac*(vu_cas(k,it_cas2)-vu_cas(k,it_cas1))
+                -frac*(vu_cas(k,it_cas2)-vu_cas(k,it_cas1))
         dv_prof_cas(k) = dv_cas(k,it_cas2)                                   &
-     &          -frac*(dv_cas(k,it_cas2)-dv_cas(k,it_cas1))
+                -frac*(dv_cas(k,it_cas2)-dv_cas(k,it_cas1))
         hv_prof_cas(k) = hv_cas(k,it_cas2)                                   &
-     &          -frac*(hv_cas(k,it_cas2)-hv_cas(k,it_cas1))
+                -frac*(hv_cas(k,it_cas2)-hv_cas(k,it_cas1))
         vv_prof_cas(k) = vv_cas(k,it_cas2)                                   &
-     &          -frac*(vv_cas(k,it_cas2)-vv_cas(k,it_cas1))
+                -frac*(vv_cas(k,it_cas2)-vv_cas(k,it_cas1))
         dt_prof_cas(k) = dt_cas(k,it_cas2)                                   &
-     &          -frac*(dt_cas(k,it_cas2)-dt_cas(k,it_cas1))
+                -frac*(dt_cas(k,it_cas2)-dt_cas(k,it_cas1))
         ht_prof_cas(k) = ht_cas(k,it_cas2)                                   &
-     &          -frac*(ht_cas(k,it_cas2)-ht_cas(k,it_cas1))
+                -frac*(ht_cas(k,it_cas2)-ht_cas(k,it_cas1))
         vt_prof_cas(k) = vt_cas(k,it_cas2)                                   &
-     &          -frac*(vt_cas(k,it_cas2)-vt_cas(k,it_cas1))
+                -frac*(vt_cas(k,it_cas2)-vt_cas(k,it_cas1))
         dtrad_prof_cas(k) = dtrad_cas(k,it_cas2)                                   &
-     &          -frac*(dtrad_cas(k,it_cas2)-dtrad_cas(k,it_cas1))
+                -frac*(dtrad_cas(k,it_cas2)-dtrad_cas(k,it_cas1))
         dq_prof_cas(k) = dq_cas(k,it_cas2)                                   &
-     &          -frac*(dq_cas(k,it_cas2)-dq_cas(k,it_cas1))
+                -frac*(dq_cas(k,it_cas2)-dq_cas(k,it_cas1))
         hq_prof_cas(k) = hq_cas(k,it_cas2)                                   &
-     &          -frac*(hq_cas(k,it_cas2)-hq_cas(k,it_cas1))
+                -frac*(hq_cas(k,it_cas2)-hq_cas(k,it_cas1))
         vq_prof_cas(k) = vq_cas(k,it_cas2)                                   &
-     &          -frac*(vq_cas(k,it_cas2)-vq_cas(k,it_cas1))
+                -frac*(vq_cas(k,it_cas2)-vq_cas(k,it_cas1))
        uw_prof_cas(k) = uw_cas(k,it_cas2)                                   &
-     &          -frac*(uw_cas(k,it_cas2)-uw_cas(k,it_cas1))
+                -frac*(uw_cas(k,it_cas2)-uw_cas(k,it_cas1))
        vw_prof_cas(k) = vw_cas(k,it_cas2)                                   &
-     &          -frac*(vw_cas(k,it_cas2)-vw_cas(k,it_cas1))
+                -frac*(vw_cas(k,it_cas2)-vw_cas(k,it_cas1))
        q1_prof_cas(k) = q1_cas(k,it_cas2)                                   &
-     &          -frac*(q1_cas(k,it_cas2)-q1_cas(k,it_cas1))
+                -frac*(q1_cas(k,it_cas2)-q1_cas(k,it_cas1))
        q2_prof_cas(k) = q2_cas(k,it_cas2)                                   &
-     &          -frac*(q2_cas(k,it_cas2)-q2_cas(k,it_cas1))
+                -frac*(q2_cas(k,it_cas2)-q2_cas(k,it_cas1))
         enddo
 
@@ -1282,22 +1282,22 @@
         SUBROUTINE interp2_case_time(day,day1,annee_ref                           &
 !    &         ,year_cas,day_cas,nt_cas,pdt_forc,nlev_cas                         &
-     &         ,nt_cas,nlev_cas                                                   &
-     &         ,ts_cas,ps_cas,plev_cas,t_cas,theta_cas,thv_cas,thl_cas            &
-     &         ,qv_cas,ql_cas,qi_cas,u_cas,v_cas                                  &
-     &         ,ug_cas,vg_cas,vitw_cas,omega_cas,du_cas,hu_cas,vu_cas             &
-     &         ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas               &
-     &         ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas                      &
-     &         ,lat_cas,sens_cas,ustar_cas                                        &
-     &         ,uw_cas,vw_cas,q1_cas,q2_cas,tke_cas                               &
+               ,nt_cas,nlev_cas                                                   &
+               ,ts_cas,ps_cas,plev_cas,t_cas,theta_cas,thv_cas,thl_cas            &
+               ,qv_cas,ql_cas,qi_cas,u_cas,v_cas                                  &
+               ,ug_cas,vg_cas,vitw_cas,omega_cas,du_cas,hu_cas,vu_cas             &
+               ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas               &
+               ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas                      &
+               ,lat_cas,sens_cas,ustar_cas                                        &
+               ,uw_cas,vw_cas,q1_cas,q2_cas,tke_cas                               &
 !
-     &         ,ts_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas               &
-     &         ,thv_prof_cas,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas     &
-     &         ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                     &
-     &         ,vitw_prof_cas,omega_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas  &
-     &         ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas                   &
-     &         ,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas                &
-     &         ,hq_prof_cas,vq_prof_cas,dth_prof_cas,hth_prof_cas,vth_prof_cas    &
-     &         ,lat_prof_cas,sens_prof_cas                                        &
-     &         ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tke_prof_cas)
+               ,ts_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas               &
+               ,thv_prof_cas,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas     &
+               ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                     &
+               ,vitw_prof_cas,omega_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas  &
+               ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas                   &
+               ,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas                &
+               ,hq_prof_cas,vq_prof_cas,dth_prof_cas,hth_prof_cas,vth_prof_cas    &
+               ,lat_prof_cas,sens_prof_cas                                        &
+               ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tke_prof_cas)
           
 
@@ -1418,5 +1418,5 @@
        if (it_cas1 .gt. nt_cas) then 
         write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
-     &        ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
+              ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
         stop
        endif
@@ -1431,84 +1431,84 @@
 
        lat_prof_cas = lat_cas(it_cas2)                                   &
-     &          -frac*(lat_cas(it_cas2)-lat_cas(it_cas1)) 
+                -frac*(lat_cas(it_cas2)-lat_cas(it_cas1)) 
        sens_prof_cas = sens_cas(it_cas2)                                 &
-     &          -frac*(sens_cas(it_cas2)-sens_cas(it_cas1))
+                -frac*(sens_cas(it_cas2)-sens_cas(it_cas1))
        tke_prof_cas = tke_cas(it_cas2)                                   &
-     &          -frac*(tke_cas(it_cas2)-tke_cas(it_cas1))
+                -frac*(tke_cas(it_cas2)-tke_cas(it_cas1))
        ts_prof_cas = ts_cas(it_cas2)                                     &
-     &          -frac*(ts_cas(it_cas2)-ts_cas(it_cas1))
+                -frac*(ts_cas(it_cas2)-ts_cas(it_cas1))
        ustar_prof_cas = ustar_cas(it_cas2)                               &
-     &          -frac*(ustar_cas(it_cas2)-ustar_cas(it_cas1))
+                -frac*(ustar_cas(it_cas2)-ustar_cas(it_cas1))
 
        do k=1,nlev_cas
         plev_prof_cas(k) = plev_cas(k,it_cas2)                           &     
-     &          -frac*(plev_cas(k,it_cas2)-plev_cas(k,it_cas1))
+                -frac*(plev_cas(k,it_cas2)-plev_cas(k,it_cas1))
         t_prof_cas(k) = t_cas(k,it_cas2)                                 &        
-     &          -frac*(t_cas(k,it_cas2)-t_cas(k,it_cas1))
+                -frac*(t_cas(k,it_cas2)-t_cas(k,it_cas1))
         print *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
         theta_prof_cas(k) = theta_cas(k,it_cas2)                         &                      
-     &          -frac*(theta_cas(k,it_cas2)-theta_cas(k,it_cas1))
+                -frac*(theta_cas(k,it_cas2)-theta_cas(k,it_cas1))
         thv_prof_cas(k) = thv_cas(k,it_cas2)                             &          
-     &          -frac*(thv_cas(k,it_cas2)-thv_cas(k,it_cas1))
+                -frac*(thv_cas(k,it_cas2)-thv_cas(k,it_cas1))
         thl_prof_cas(k) = thl_cas(k,it_cas2)                             &              
-     &          -frac*(thl_cas(k,it_cas2)-thl_cas(k,it_cas1))
+                -frac*(thl_cas(k,it_cas2)-thl_cas(k,it_cas1))
         qv_prof_cas(k) = qv_cas(k,it_cas2)                               &
-     &          -frac*(qv_cas(k,it_cas2)-qv_cas(k,it_cas1))
+                -frac*(qv_cas(k,it_cas2)-qv_cas(k,it_cas1))
         ql_prof_cas(k) = ql_cas(k,it_cas2)                               &
-     &          -frac*(ql_cas(k,it_cas2)-ql_cas(k,it_cas1))
+                -frac*(ql_cas(k,it_cas2)-ql_cas(k,it_cas1))
         qi_prof_cas(k) = qi_cas(k,it_cas2)                               &
-     &          -frac*(qi_cas(k,it_cas2)-qi_cas(k,it_cas1))
+                -frac*(qi_cas(k,it_cas2)-qi_cas(k,it_cas1))
         u_prof_cas(k) = u_cas(k,it_cas2)                                 &
-     &          -frac*(u_cas(k,it_cas2)-u_cas(k,it_cas1))
+                -frac*(u_cas(k,it_cas2)-u_cas(k,it_cas1))
         v_prof_cas(k) = v_cas(k,it_cas2)                                 &
-     &          -frac*(v_cas(k,it_cas2)-v_cas(k,it_cas1))
+                -frac*(v_cas(k,it_cas2)-v_cas(k,it_cas1))
         ug_prof_cas(k) = ug_cas(k,it_cas2)                               &
-     &          -frac*(ug_cas(k,it_cas2)-ug_cas(k,it_cas1))
+                -frac*(ug_cas(k,it_cas2)-ug_cas(k,it_cas1))
         vg_prof_cas(k) = vg_cas(k,it_cas2)                               &
-     &          -frac*(vg_cas(k,it_cas2)-vg_cas(k,it_cas1))
+                -frac*(vg_cas(k,it_cas2)-vg_cas(k,it_cas1))
         vitw_prof_cas(k) = vitw_cas(k,it_cas2)                           &
-     &          -frac*(vitw_cas(k,it_cas2)-vitw_cas(k,it_cas1))
+                -frac*(vitw_cas(k,it_cas2)-vitw_cas(k,it_cas1))
         omega_prof_cas(k) = omega_cas(k,it_cas2)                         &
-     &          -frac*(omega_cas(k,it_cas2)-omega_cas(k,it_cas1))
+                -frac*(omega_cas(k,it_cas2)-omega_cas(k,it_cas1))
         du_prof_cas(k) = du_cas(k,it_cas2)                               &
-     &          -frac*(du_cas(k,it_cas2)-du_cas(k,it_cas1))
+                -frac*(du_cas(k,it_cas2)-du_cas(k,it_cas1))
         hu_prof_cas(k) = hu_cas(k,it_cas2)                               &
-     &          -frac*(hu_cas(k,it_cas2)-hu_cas(k,it_cas1))
+                -frac*(hu_cas(k,it_cas2)-hu_cas(k,it_cas1))
         vu_prof_cas(k) = vu_cas(k,it_cas2)                               &
-     &          -frac*(vu_cas(k,it_cas2)-vu_cas(k,it_cas1))
+                -frac*(vu_cas(k,it_cas2)-vu_cas(k,it_cas1))
         dv_prof_cas(k) = dv_cas(k,it_cas2)                               &
-     &          -frac*(dv_cas(k,it_cas2)-dv_cas(k,it_cas1))
+                -frac*(dv_cas(k,it_cas2)-dv_cas(k,it_cas1))
         hv_prof_cas(k) = hv_cas(k,it_cas2)                               &
-     &          -frac*(hv_cas(k,it_cas2)-hv_cas(k,it_cas1))
+                -frac*(hv_cas(k,it_cas2)-hv_cas(k,it_cas1))
         vv_prof_cas(k) = vv_cas(k,it_cas2)                               &
-     &          -frac*(vv_cas(k,it_cas2)-vv_cas(k,it_cas1))
+                -frac*(vv_cas(k,it_cas2)-vv_cas(k,it_cas1))
         dt_prof_cas(k) = dt_cas(k,it_cas2)                               &
-     &          -frac*(dt_cas(k,it_cas2)-dt_cas(k,it_cas1))
+                -frac*(dt_cas(k,it_cas2)-dt_cas(k,it_cas1))
         ht_prof_cas(k) = ht_cas(k,it_cas2)                               &
-     &          -frac*(ht_cas(k,it_cas2)-ht_cas(k,it_cas1))
+                -frac*(ht_cas(k,it_cas2)-ht_cas(k,it_cas1))
         vt_prof_cas(k) = vt_cas(k,it_cas2)                               &
-     &          -frac*(vt_cas(k,it_cas2)-vt_cas(k,it_cas1))
+                -frac*(vt_cas(k,it_cas2)-vt_cas(k,it_cas1))
         dth_prof_cas(k) = dth_cas(k,it_cas2)                             &
-     &          -frac*(dth_cas(k,it_cas2)-dth_cas(k,it_cas1))
+                -frac*(dth_cas(k,it_cas2)-dth_cas(k,it_cas1))
         hth_prof_cas(k) = hth_cas(k,it_cas2)                             &
-     &          -frac*(hth_cas(k,it_cas2)-hth_cas(k,it_cas1))
+                -frac*(hth_cas(k,it_cas2)-hth_cas(k,it_cas1))
         vth_prof_cas(k) = vth_cas(k,it_cas2)                             &
-     &          -frac*(vth_cas(k,it_cas2)-vth_cas(k,it_cas1))
+                -frac*(vth_cas(k,it_cas2)-vth_cas(k,it_cas1))
         dtrad_prof_cas(k) = dtrad_cas(k,it_cas2)                         &
-     &          -frac*(dtrad_cas(k,it_cas2)-dtrad_cas(k,it_cas1))
+                -frac*(dtrad_cas(k,it_cas2)-dtrad_cas(k,it_cas1))
         dq_prof_cas(k) = dq_cas(k,it_cas2)                               &
-     &          -frac*(dq_cas(k,it_cas2)-dq_cas(k,it_cas1))
+                -frac*(dq_cas(k,it_cas2)-dq_cas(k,it_cas1))
         hq_prof_cas(k) = hq_cas(k,it_cas2)                               &
-     &          -frac*(hq_cas(k,it_cas2)-hq_cas(k,it_cas1))
+                -frac*(hq_cas(k,it_cas2)-hq_cas(k,it_cas1))
         vq_prof_cas(k) = vq_cas(k,it_cas2)                               &
-     &          -frac*(vq_cas(k,it_cas2)-vq_cas(k,it_cas1))
+                -frac*(vq_cas(k,it_cas2)-vq_cas(k,it_cas1))
        uw_prof_cas(k) = uw_cas(k,it_cas2)                                &
-     &          -frac*(uw_cas(k,it_cas2)-uw_cas(k,it_cas1))
+                -frac*(uw_cas(k,it_cas2)-uw_cas(k,it_cas1))
        vw_prof_cas(k) = vw_cas(k,it_cas2)                                &
-     &          -frac*(vw_cas(k,it_cas2)-vw_cas(k,it_cas1))
+                -frac*(vw_cas(k,it_cas2)-vw_cas(k,it_cas1))
        q1_prof_cas(k) = q1_cas(k,it_cas2)                                &
-     &          -frac*(q1_cas(k,it_cas2)-q1_cas(k,it_cas1))
+                -frac*(q1_cas(k,it_cas2)-q1_cas(k,it_cas1))
        q2_prof_cas(k) = q2_cas(k,it_cas2)                                &
-     &          -frac*(q2_cas(k,it_cas2)-q2_cas(k,it_cas1))
+                -frac*(q2_cas(k,it_cas2)-q2_cas(k,it_cas1))
         enddo
 
Index: LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 4270)
+++ LMDZ6/trunk/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 4271)
@@ -235,13 +235,13 @@
         print*,'Allocations OK'
         CALL read_SCM (nid,nlev_cas,nt_cas,                                                                     &
-     &     ap_cas,bp_cas,z_cas,plev_cas,zh_cas,plevh_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,                   &
-     &     ql_cas,qi_cas,rh_cas,rv_cas,u_cas,v_cas,vitw_cas,omega_cas,tke_cas,ug_cas,vg_cas,                            &
-     &     temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas,                                                     &
-     &     invtau_temp_nudg_cas,invtau_qv_nudg_cas,invtau_u_nudg_cas,invtau_v_nudg_cas,                         &
-     &     du_cas,hu_cas,vu_cas,                                                                                &
-     &     dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,               &
-     &     dr_cas,hr_cas,vr_cas,dtrad_cas,sens_cas,lat_cas,ts_cas,ps_cas,ustar_cas,tkes_cas,                      &
-     &     uw_cas,vw_cas,q1_cas,q2_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough, &
-     &     o3_cas,rugos_cas,clay_cas,sand_cas)
+           ap_cas,bp_cas,z_cas,plev_cas,zh_cas,plevh_cas,t_cas,th_cas,thv_cas,thl_cas,qv_cas,                   &
+           ql_cas,qi_cas,rh_cas,rv_cas,u_cas,v_cas,vitw_cas,omega_cas,tke_cas,ug_cas,vg_cas,                            &
+           temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas,                                                     &
+           invtau_temp_nudg_cas,invtau_qv_nudg_cas,invtau_u_nudg_cas,invtau_v_nudg_cas,                         &
+           du_cas,hu_cas,vu_cas,                                                                                &
+           dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas,               &
+           dr_cas,hr_cas,vr_cas,dtrad_cas,sens_cas,lat_cas,ts_cas,ps_cas,ustar_cas,tkes_cas,                      &
+           uw_cas,vw_cas,q1_cas,q2_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough, &
+           o3_cas,rugos_cas,clay_cas,sand_cas)
         print*,'read_SCM cas OK'
         do ii=1,nlev_cas
@@ -323,11 +323,11 @@
 !=====================================================================
       SUBROUTINE read_SCM(nid,nlevel,ntime,                                       &
-     &     ap,bp,zz,pp,zzh,pph,temp,theta,thv,thl,qv,ql,qi,rh,rv,u,v,vitw,omega,tke,ug,vg,&
-     &     temp_nudg,qv_nudg,u_nudg,v_nudg,                                        &
-     &     invtau_temp_nudg,invtau_qv_nudg,invtau_u_nudg,invtau_v_nudg,             &
-     &     du,hu,vu,dv,hv,vv,dt,ht,vt,dq,hq,vq,                                    &
-     &     dth,hth,vth,dr,hr,vr,dtrad,sens,flat,ts,ps,ustar,tkes,uw,vw,q1,q2,       &
-     &     orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,          &
-     &     heat_rough,o3_cas,rugos_cas,clay_cas,sand_cas)
+           ap,bp,zz,pp,zzh,pph,temp,theta,thv,thl,qv,ql,qi,rh,rv,u,v,vitw,omega,tke,ug,vg,&
+           temp_nudg,qv_nudg,u_nudg,v_nudg,                                        &
+           invtau_temp_nudg,invtau_qv_nudg,invtau_u_nudg,invtau_v_nudg,             &
+           du,hu,vu,dv,hv,vv,dt,ht,vt,dq,hq,vq,                                    &
+           dth,hth,vth,dr,hr,vr,dtrad,sens,flat,ts,ps,ustar,tkes,uw,vw,q1,q2,       &
+           orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,          &
+           heat_rough,o3_cas,rugos_cas,clay_cas,sand_cas)
 
 !program reading forcing of the case study
@@ -393,19 +393,19 @@
       data name_var/ &
      ! coordonnees pression (n+1 niveaux) #4
-     & 'coor_par_a','coor_par_b','zf','pressure_h',& ! #1-#4
+       'coor_par_a','coor_par_b','zf','pressure_h',& ! #1-#4
      ! coordonnees pression (n niveaux) #8
-     & 'ta','qv','ql','qi','ua','va','tke','pa',& ! #5-#12
+       'ta','qv','ql','qi','ua','va','tke','pa',& ! #5-#12
      ! coordonnees pression + temps #46
-     & 'wa','wap','ug','vg','tnua_adv','tnua_advh','tnua_advv','tnva_adv','tnva_advh','tnva_advv','tnta_adv','tnta_advh','tnta_advv',& !  #13 - #25
-     & 'tnqv_adv','tnqv_advh','tnqv_advv','thadv','thadvh','thadvv','thladvh',                             & ! #26 - #32
-     & 'radv','radvh','radvv','tnta_rad','q1','q2','ustress','vstress',                           & ! #33 - #40
-     & 'rh','ta_nud','qv_nud','ua_nud','va_nud',                                       & ! #41-45
-     & 'zh_forc','pa_forc','tat','thetat','thetavt','thetalt','qvt','qlt','qit','rv','uat','vat',   & ! #46-57
-     & 'nudging_constant_ta', 'nudging_constant_qv', 'nudging_constant_ua', 'nudging_constant_va',           & ! # 58-61
+       'wa','wap','ug','vg','tnua_adv','tnua_advh','tnua_advv','tnva_adv','tnva_advh','tnva_advv','tnta_adv','tnta_advh','tnta_advv',& !  #13 - #25
+       'tnqv_adv','tnqv_advh','tnqv_advv','thadv','thadvh','thadvv','thladvh',                             & ! #26 - #32
+       'radv','radvh','radvv','tnta_rad','q1','q2','ustress','vstress',                           & ! #33 - #40
+       'rh','ta_nud','qv_nud','ua_nud','va_nud',                                       & ! #41-45
+       'zh_forc','pa_forc','tat','thetat','thetavt','thetalt','qvt','qlt','qit','rv','uat','vat',   & ! #46-57
+       'nudging_constant_ta', 'nudging_constant_qv', 'nudging_constant_ua', 'nudging_constant_va',           & ! # 58-61
      ! coordonnees temps #12
-     & 'tkes','hfss','hfls','ts_forc','ps_forc','ustar', &                                        ! 62-67
-     & 'orog','albedo','emiss','t_skin','q_skin','z0','z0h',       &                    ! 68-74
+       'tkes','hfss','hfls','ts_forc','ps_forc','ustar', &                                        ! 62-67
+       'orog','albedo','emiss','t_skin','q_skin','z0','z0h',       &                    ! 68-74
      ! scalaires #4                               
-     & 'O3','rugos','clay','sand'/                                                      ! 75-78
+       'O3','rugos','clay','sand'/                                                      ! 75-78
 
 
@@ -654,26 +654,26 @@
         SUBROUTINE interp_case_time_std(day,day1,annee_ref                           &
 !    &         ,year_cas,day_cas,nt_cas,pdt_forc,nlev_cas                         &
-     &         ,nt_cas,nlev_cas                                                   &
-     &         ,ts_cas,ps_cas,plev_cas,t_cas,theta_cas,thv_cas,thl_cas            &
-     &         ,qv_cas,ql_cas,qi_cas,u_cas,v_cas                                  &
-     &         ,ug_cas,vg_cas,temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas     &
-     &         ,invtau_temp_nudg_cas,invtau_qv_nudg_cas,invtau_u_nudg_cas,invtau_v_nudg_cas     &
-     &         ,vitw_cas,omega_cas,tke_cas,du_cas,hu_cas,vu_cas             &
-     &         ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas               &
-     &         ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas                      &
-     &         ,lat_cas,sens_cas,ustar_cas                                        &
-     &         ,uw_cas,vw_cas,q1_cas,q2_cas,tkes_cas                               &
+               ,nt_cas,nlev_cas                                                   &
+               ,ts_cas,ps_cas,plev_cas,t_cas,theta_cas,thv_cas,thl_cas            &
+               ,qv_cas,ql_cas,qi_cas,u_cas,v_cas                                  &
+               ,ug_cas,vg_cas,temp_nudg_cas,qv_nudg_cas,u_nudg_cas,v_nudg_cas     &
+               ,invtau_temp_nudg_cas,invtau_qv_nudg_cas,invtau_u_nudg_cas,invtau_v_nudg_cas     &
+               ,vitw_cas,omega_cas,tke_cas,du_cas,hu_cas,vu_cas             &
+               ,dv_cas,hv_cas,vv_cas,dt_cas,ht_cas,vt_cas,dtrad_cas               &
+               ,dq_cas,hq_cas,vq_cas,dth_cas,hth_cas,vth_cas                      &
+               ,lat_cas,sens_cas,ustar_cas                                        &
+               ,uw_cas,vw_cas,q1_cas,q2_cas,tkes_cas                               &
 !
-     &         ,ts_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas               &
-     &         ,thv_prof_cas,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas     &
-     &         ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                     &
-     &         ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas     &
-     &         ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas     &     
-     &         ,vitw_prof_cas,omega_prof_cas,tke_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas  &
-     &         ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas                   &
-     &         ,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas                &
-     &         ,hq_prof_cas,vq_prof_cas,dth_prof_cas,hth_prof_cas,vth_prof_cas    &
-     &         ,lat_prof_cas,sens_prof_cas                                        &
-     &         ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tkes_prof_cas)
+               ,ts_prof_cas,ps_prof_cas,plev_prof_cas,t_prof_cas,theta_prof_cas               &
+               ,thv_prof_cas,thl_prof_cas,qv_prof_cas,ql_prof_cas,qi_prof_cas     &
+               ,u_prof_cas,v_prof_cas,ug_prof_cas,vg_prof_cas                     &
+               ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas     &
+               ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas     &     
+               ,vitw_prof_cas,omega_prof_cas,tke_prof_cas,du_prof_cas,hu_prof_cas,vu_prof_cas  &
+               ,dv_prof_cas,hv_prof_cas,vv_prof_cas,dt_prof_cas                   &
+               ,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas                &
+               ,hq_prof_cas,vq_prof_cas,dth_prof_cas,hth_prof_cas,vth_prof_cas    &
+               ,lat_prof_cas,sens_prof_cas                                        &
+               ,ustar_prof_cas,uw_prof_cas,vw_prof_cas,q1_prof_cas,q2_prof_cas,tkes_prof_cas)
 
 
@@ -811,5 +811,5 @@
        if (it_cas1 .gt. nt_cas) then 
         write(*,*) 'PB-stop: day, day_ju_ini_cas,it_cas1, it_cas2, timeit: '            &
-     &        ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
+              ,day,day_ju_ini_cas,it_cas1,it_cas2,timeit
         stop
        endif
@@ -824,104 +824,104 @@
 
        lat_prof_cas = lat_cas(it_cas2)                                   &
-     &          -frac*(lat_cas(it_cas2)-lat_cas(it_cas1)) 
+                -frac*(lat_cas(it_cas2)-lat_cas(it_cas1)) 
        sens_prof_cas = sens_cas(it_cas2)                                 &
-     &          -frac*(sens_cas(it_cas2)-sens_cas(it_cas1))
+                -frac*(sens_cas(it_cas2)-sens_cas(it_cas1))
        tkes_prof_cas = tkes_cas(it_cas2)                                   &
-     &          -frac*(tkes_cas(it_cas2)-tkes_cas(it_cas1))
+                -frac*(tkes_cas(it_cas2)-tkes_cas(it_cas1))
        ts_prof_cas = ts_cas(it_cas2)                                     &
-     &          -frac*(ts_cas(it_cas2)-ts_cas(it_cas1))
+                -frac*(ts_cas(it_cas2)-ts_cas(it_cas1))
        ps_prof_cas = ps_cas(it_cas2)                                     &
-     &          -frac*(ps_cas(it_cas2)-ps_cas(it_cas1))
+                -frac*(ps_cas(it_cas2)-ps_cas(it_cas1))
        ustar_prof_cas = ustar_cas(it_cas2)                               &
-     &          -frac*(ustar_cas(it_cas2)-ustar_cas(it_cas1))
+                -frac*(ustar_cas(it_cas2)-ustar_cas(it_cas1))
 
        do k=1,nlev_cas
         plev_prof_cas(k) = plev_cas(k,it_cas2)                           &     
-     &          -frac*(plev_cas(k,it_cas2)-plev_cas(k,it_cas1))
+                -frac*(plev_cas(k,it_cas2)-plev_cas(k,it_cas1))
         t_prof_cas(k) = t_cas(k,it_cas2)                                 &        
-     &          -frac*(t_cas(k,it_cas2)-t_cas(k,it_cas1))
+                -frac*(t_cas(k,it_cas2)-t_cas(k,it_cas1))
         !print *,'k,frac,plev_cas1,plev_cas2=',k,frac,plev_cas(k,it_cas1),plev_cas(k,it_cas2)
         theta_prof_cas(k) = theta_cas(k,it_cas2)                         &                      
-     &          -frac*(theta_cas(k,it_cas2)-theta_cas(k,it_cas1))
+                -frac*(theta_cas(k,it_cas2)-theta_cas(k,it_cas1))
         thv_prof_cas(k) = thv_cas(k,it_cas2)                             &          
-     &          -frac*(thv_cas(k,it_cas2)-thv_cas(k,it_cas1))
+                -frac*(thv_cas(k,it_cas2)-thv_cas(k,it_cas1))
         thl_prof_cas(k) = thl_cas(k,it_cas2)                             &              
-     &          -frac*(thl_cas(k,it_cas2)-thl_cas(k,it_cas1))
+                -frac*(thl_cas(k,it_cas2)-thl_cas(k,it_cas1))
         qv_prof_cas(k) = qv_cas(k,it_cas2)                               &
-     &          -frac*(qv_cas(k,it_cas2)-qv_cas(k,it_cas1))
+                -frac*(qv_cas(k,it_cas2)-qv_cas(k,it_cas1))
         ql_prof_cas(k) = ql_cas(k,it_cas2)                               &
-     &          -frac*(ql_cas(k,it_cas2)-ql_cas(k,it_cas1))
+                -frac*(ql_cas(k,it_cas2)-ql_cas(k,it_cas1))
         qi_prof_cas(k) = qi_cas(k,it_cas2)                               &
-     &          -frac*(qi_cas(k,it_cas2)-qi_cas(k,it_cas1))
+                -frac*(qi_cas(k,it_cas2)-qi_cas(k,it_cas1))
         u_prof_cas(k) = u_cas(k,it_cas2)                                 &
-     &          -frac*(u_cas(k,it_cas2)-u_cas(k,it_cas1))
+                -frac*(u_cas(k,it_cas2)-u_cas(k,it_cas1))
         v_prof_cas(k) = v_cas(k,it_cas2)                                 &
-     &          -frac*(v_cas(k,it_cas2)-v_cas(k,it_cas1))
+                -frac*(v_cas(k,it_cas2)-v_cas(k,it_cas1))
         ug_prof_cas(k) = ug_cas(k,it_cas2)                               &
-     &          -frac*(ug_cas(k,it_cas2)-ug_cas(k,it_cas1))
+                -frac*(ug_cas(k,it_cas2)-ug_cas(k,it_cas1))
         vg_prof_cas(k) = vg_cas(k,it_cas2)                               &
-     &          -frac*(vg_cas(k,it_cas2)-vg_cas(k,it_cas1))
+                -frac*(vg_cas(k,it_cas2)-vg_cas(k,it_cas1))
         temp_nudg_prof_cas(k) = temp_nudg_cas(k,it_cas2)                    &
-     &          -frac*(temp_nudg_cas(k,it_cas2)-temp_nudg_cas(k,it_cas1))
+                -frac*(temp_nudg_cas(k,it_cas2)-temp_nudg_cas(k,it_cas1))
         qv_nudg_prof_cas(k) = qv_nudg_cas(k,it_cas2)                        &
-     &          -frac*(qv_nudg_cas(k,it_cas2)-qv_nudg_cas(k,it_cas1))
+                -frac*(qv_nudg_cas(k,it_cas2)-qv_nudg_cas(k,it_cas1))
         u_nudg_prof_cas(k) = u_nudg_cas(k,it_cas2)                          &
-     &          -frac*(u_nudg_cas(k,it_cas2)-u_nudg_cas(k,it_cas1))
+                -frac*(u_nudg_cas(k,it_cas2)-u_nudg_cas(k,it_cas1))
         v_nudg_prof_cas(k) = v_nudg_cas(k,it_cas2)                          &
-     &          -frac*(v_nudg_cas(k,it_cas2)-v_nudg_cas(k,it_cas1))
+                -frac*(v_nudg_cas(k,it_cas2)-v_nudg_cas(k,it_cas1))
         invtau_temp_nudg_prof_cas(k) = invtau_temp_nudg_cas(k,it_cas2)                    &
-     &          -frac*(invtau_temp_nudg_cas(k,it_cas2)-invtau_temp_nudg_cas(k,it_cas1))
+                -frac*(invtau_temp_nudg_cas(k,it_cas2)-invtau_temp_nudg_cas(k,it_cas1))
         invtau_qv_nudg_prof_cas(k) = invtau_qv_nudg_cas(k,it_cas2)                        &
-     &          -frac*(invtau_qv_nudg_cas(k,it_cas2)-invtau_qv_nudg_cas(k,it_cas1))
+                -frac*(invtau_qv_nudg_cas(k,it_cas2)-invtau_qv_nudg_cas(k,it_cas1))
         invtau_u_nudg_prof_cas(k) = invtau_u_nudg_cas(k,it_cas2)                          &
-     &          -frac*(invtau_u_nudg_cas(k,it_cas2)-invtau_u_nudg_cas(k,it_cas1))
+                -frac*(invtau_u_nudg_cas(k,it_cas2)-invtau_u_nudg_cas(k,it_cas1))
         invtau_v_nudg_prof_cas(k) = invtau_v_nudg_cas(k,it_cas2)                          &
-     &          -frac*(invtau_v_nudg_cas(k,it_cas2)-invtau_v_nudg_cas(k,it_cas1))
+                -frac*(invtau_v_nudg_cas(k,it_cas2)-invtau_v_nudg_cas(k,it_cas1))
         vitw_prof_cas(k) = vitw_cas(k,it_cas2)                           &
-     &          -frac*(vitw_cas(k,it_cas2)-vitw_cas(k,it_cas1))
+                -frac*(vitw_cas(k,it_cas2)-vitw_cas(k,it_cas1))
         omega_prof_cas(k) = omega_cas(k,it_cas2)                         &
-     &          -frac*(omega_cas(k,it_cas2)-omega_cas(k,it_cas1))
+                -frac*(omega_cas(k,it_cas2)-omega_cas(k,it_cas1))
         tke_prof_cas(k) = tke_cas(k,it_cas2)                         &
-     &          -frac*(tke_cas(k,it_cas2)-tke_cas(k,it_cas1))
+                -frac*(tke_cas(k,it_cas2)-tke_cas(k,it_cas1))
         du_prof_cas(k) = du_cas(k,it_cas2)                               &
-     &          -frac*(du_cas(k,it_cas2)-du_cas(k,it_cas1))
+                -frac*(du_cas(k,it_cas2)-du_cas(k,it_cas1))
         hu_prof_cas(k) = hu_cas(k,it_cas2)                               &
-     &          -frac*(hu_cas(k,it_cas2)-hu_cas(k,it_cas1))
+                -frac*(hu_cas(k,it_cas2)-hu_cas(k,it_cas1))
         vu_prof_cas(k) = vu_cas(k,it_cas2)                               &
-     &          -frac*(vu_cas(k,it_cas2)-vu_cas(k,it_cas1))
+                -frac*(vu_cas(k,it_cas2)-vu_cas(k,it_cas1))
         dv_prof_cas(k) = dv_cas(k,it_cas2)                               &
-     &          -frac*(dv_cas(k,it_cas2)-dv_cas(k,it_cas1))
+                -frac*(dv_cas(k,it_cas2)-dv_cas(k,it_cas1))
         hv_prof_cas(k) = hv_cas(k,it_cas2)                               &
-     &          -frac*(hv_cas(k,it_cas2)-hv_cas(k,it_cas1))
+                -frac*(hv_cas(k,it_cas2)-hv_cas(k,it_cas1))
         vv_prof_cas(k) = vv_cas(k,it_cas2)                               &
-     &          -frac*(vv_cas(k,it_cas2)-vv_cas(k,it_cas1))
+                -frac*(vv_cas(k,it_cas2)-vv_cas(k,it_cas1))
         dt_prof_cas(k) = dt_cas(k,it_cas2)                               &
-     &          -frac*(dt_cas(k,it_cas2)-dt_cas(k,it_cas1))
+                -frac*(dt_cas(k,it_cas2)-dt_cas(k,it_cas1))
         ht_prof_cas(k) = ht_cas(k,it_cas2)                               &
-     &          -frac*(ht_cas(k,it_cas2)-ht_cas(k,it_cas1))
+                -frac*(ht_cas(k,it_cas2)-ht_cas(k,it_cas1))
         vt_prof_cas(k) = vt_cas(k,it_cas2)                               &
-     &          -frac*(vt_cas(k,it_cas2)-vt_cas(k,it_cas1))
+                -frac*(vt_cas(k,it_cas2)-vt_cas(k,it_cas1))
         dth_prof_cas(k) = dth_cas(k,it_cas2)                             &
-     &          -frac*(dth_cas(k,it_cas2)-dth_cas(k,it_cas1))
+                -frac*(dth_cas(k,it_cas2)-dth_cas(k,it_cas1))
         hth_prof_cas(k) = hth_cas(k,it_cas2)                             &
-     &          -frac*(hth_cas(k,it_cas2)-hth_cas(k,it_cas1))
+                -frac*(hth_cas(k,it_cas2)-hth_cas(k,it_cas1))
         vth_prof_cas(k) = vth_cas(k,it_cas2)                             &
-     &          -frac*(vth_cas(k,it_cas2)-vth_cas(k,it_cas1))
+                -frac*(vth_cas(k,it_cas2)-vth_cas(k,it_cas1))
         dtrad_prof_cas(k) = dtrad_cas(k,it_cas2)                         &
-     &          -frac*(dtrad_cas(k,it_cas2)-dtrad_cas(k,it_cas1))
+                -frac*(dtrad_cas(k,it_cas2)-dtrad_cas(k,it_cas1))
         dq_prof_cas(k) = dq_cas(k,it_cas2)                               &
-     &          -frac*(dq_cas(k,it_cas2)-dq_cas(k,it_cas1))
+                -frac*(dq_cas(k,it_cas2)-dq_cas(k,it_cas1))
         hq_prof_cas(k) = hq_cas(k,it_cas2)                               &
-     &          -frac*(hq_cas(k,it_cas2)-hq_cas(k,it_cas1))
+                -frac*(hq_cas(k,it_cas2)-hq_cas(k,it_cas1))
         vq_prof_cas(k) = vq_cas(k,it_cas2)                               &
-     &          -frac*(vq_cas(k,it_cas2)-vq_cas(k,it_cas1))
+                -frac*(vq_cas(k,it_cas2)-vq_cas(k,it_cas1))
        uw_prof_cas(k) = uw_cas(k,it_cas2)                                &
-     &          -frac*(uw_cas(k,it_cas2)-uw_cas(k,it_cas1))
+                -frac*(uw_cas(k,it_cas2)-uw_cas(k,it_cas1))
        vw_prof_cas(k) = vw_cas(k,it_cas2)                                &
-     &          -frac*(vw_cas(k,it_cas2)-vw_cas(k,it_cas1))
+                -frac*(vw_cas(k,it_cas2)-vw_cas(k,it_cas1))
        q1_prof_cas(k) = q1_cas(k,it_cas2)                                &
-     &          -frac*(q1_cas(k,it_cas2)-q1_cas(k,it_cas1))
+                -frac*(q1_cas(k,it_cas2)-q1_cas(k,it_cas1))
        q2_prof_cas(k) = q2_cas(k,it_cas2)                                &
-     &          -frac*(q2_cas(k,it_cas2)-q2_cas(k,it_cas1))
+                -frac*(q2_cas(k,it_cas2)-q2_cas(k,it_cas1))
         enddo
 
@@ -932,23 +932,23 @@
 !=====================================================================
        SUBROUTINE interp2_case_vertical_std(play,plev,nlev_cas,plev_prof_cas                           &
-     &         ,t_prof_cas,th_prof_cas,thv_prof_cas,thl_prof_cas                                       &
-     &         ,qv_prof_cas,ql_prof_cas,qi_prof_cas,u_prof_cas,v_prof_cas                              &
-     &         ,ug_prof_cas,vg_prof_cas                                                                &
-     &         ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas                    &
-     &         ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas &     
-     &         ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                              &
-     &         ,du_prof_cas,hu_prof_cas,vu_prof_cas,dv_prof_cas,hv_prof_cas,vv_prof_cas                &
-     &         ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas &
-     &         ,dth_prof_cas,hth_prof_cas,vth_prof_cas                                                 &
+               ,t_prof_cas,th_prof_cas,thv_prof_cas,thl_prof_cas                                       &
+               ,qv_prof_cas,ql_prof_cas,qi_prof_cas,u_prof_cas,v_prof_cas                              &
+               ,ug_prof_cas,vg_prof_cas                                                                &
+               ,temp_nudg_prof_cas,qv_nudg_prof_cas,u_nudg_prof_cas,v_nudg_prof_cas                    &
+               ,invtau_temp_nudg_prof_cas,invtau_qv_nudg_prof_cas,invtau_u_nudg_prof_cas,invtau_v_nudg_prof_cas &     
+               ,vitw_prof_cas,omega_prof_cas,tke_prof_cas                                              &
+               ,du_prof_cas,hu_prof_cas,vu_prof_cas,dv_prof_cas,hv_prof_cas,vv_prof_cas                &
+               ,dt_prof_cas,ht_prof_cas,vt_prof_cas,dtrad_prof_cas,dq_prof_cas,hq_prof_cas,vq_prof_cas &
+               ,dth_prof_cas,hth_prof_cas,vth_prof_cas                                                 &
 !
-     &         ,t_mod_cas,theta_mod_cas,thv_mod_cas,thl_mod_cas                                        &
-     &         ,qv_mod_cas,ql_mod_cas,qi_mod_cas,u_mod_cas,v_mod_cas                                   &
-     &         ,ug_mod_cas,vg_mod_cas                                                                  &
-     &         ,temp_nudg_mod_cas,qv_nudg_mod_cas,u_nudg_mod_cas,v_nudg_mod_cas                        &
-     &         ,invtau_temp_nudg_mod_cas,invtau_qv_nudg_mod_cas,invtau_u_nudg_mod_cas,invtau_v_nudg_mod_cas                        &     
-     &         ,w_mod_cas,omega_mod_cas,tke_mod_cas                                                    &
-     &         ,du_mod_cas,hu_mod_cas,vu_mod_cas,dv_mod_cas,hv_mod_cas,vv_mod_cas                      &
-     &         ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas        &
-     &         ,dth_mod_cas,hth_mod_cas,vth_mod_cas,mxcalc)
+               ,t_mod_cas,theta_mod_cas,thv_mod_cas,thl_mod_cas                                        &
+               ,qv_mod_cas,ql_mod_cas,qi_mod_cas,u_mod_cas,v_mod_cas                                   &
+               ,ug_mod_cas,vg_mod_cas                                                                  &
+               ,temp_nudg_mod_cas,qv_nudg_mod_cas,u_nudg_mod_cas,v_nudg_mod_cas                        &
+               ,invtau_temp_nudg_mod_cas,invtau_qv_nudg_mod_cas,invtau_u_nudg_mod_cas,invtau_v_nudg_mod_cas                        &     
+               ,w_mod_cas,omega_mod_cas,tke_mod_cas                                                    &
+               ,du_mod_cas,hu_mod_cas,vu_mod_cas,dv_mod_cas,hv_mod_cas,vv_mod_cas                      &
+               ,dt_mod_cas,ht_mod_cas,vt_mod_cas,dtrad_mod_cas,dq_mod_cas,hq_mod_cas,vq_mod_cas        &
+               ,dth_mod_cas,hth_mod_cas,vth_mod_cas,mxcalc)
  
        implicit none
